## ros-iron-generate-parameter-library 0.3.6

=== debian/changelog ===
ros-iron-generate-parameter-library (0.3.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 31 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library (0.3.5-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library (0.3.4-1jammy) jammy; urgency=high

  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 24 Jul 2023 06:00:00 -0000

ros-iron-generate-parameter-library (0.3.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 13 Apr 2023 06:00:00 -0000

ros-iron-generate-parameter-library (0.3.2-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 06:00:00 -0000

ros-iron-generate-parameter-library (0.3.1-1jammy) jammy; urgency=high

  * Add keyword INTERFACE to fix build error 'ar: no archive members specified' since the generated target is header-only (#93 <https://github.com/PickNikRobotics/generate_parameter_library/issues/93>)
  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver, light-tech

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 01 Feb 2023 07:00:00 -0000

ros-iron-generate-parameter-library (0.3.0-1jammy) jammy; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 15 Nov 2022 07:00:00 -0000

ros-iron-generate-parameter-library (0.2.8-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 03 Nov 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.7-1jammy) jammy; urgency=high

  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Oct 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.6-1jammy) jammy; urgency=high

  * Depend on python package (#75 <https://github.com/PickNikRobotics/generate_parameter_library/issues/75>)
  * Drop requirement for CMake to 3.16 (#73 <https://github.com/PickNikRobotics/generate_parameter_library/issues/73>)
  * Added -- for ros-args to find (#71 <https://github.com/PickNikRobotics/generate_parameter_library/issues/71>)
  * Contributors: Michael Wrock, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 28 Sep 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.5-1jammy) jammy; urgency=high

  * 🚀 Add cmake macros for using tests with example yaml files. 🤖 (#57 <https://github.com/PickNikRobotics/generate_parameter_library/issues/57>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Contributors: Denis Štogl

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 20 Sep 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.4-1jammy) jammy; urgency=high

  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 19 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 05 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.2-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 03 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.1-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.2.0-1jammy) jammy; urgency=high

  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * Cleaup cmake paths (#38 <https://github.com/PickNikRobotics/generate_parameter_library/issues/38>)
  * parameter validators interface library (#32 <https://github.com/PickNikRobotics/generate_parameter_library/issues/32>)
  * Support exporting parameter libraries (#28 <https://github.com/PickNikRobotics/generate_parameter_library/issues/28>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 06:00:00 -0000

ros-iron-generate-parameter-library (0.1.0-1jammy) jammy; urgency=high

  * CMake to generate ROS parameter library.
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 27 Jul 2022 06:00:00 -0000
