=== debian/control ===
Source: ros-iron-generate-parameter-library
Section: misc
Priority: optional
Maintainer: Paul Gesel <paul.gesel@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-parameter-traits, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-rclpy, ros-iron-rsl, ros-iron-tcb-span, ros-iron-tl-expected, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-generate-parameter-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-iron-generate-parameter-library-py, ros-iron-parameter-traits, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-rclpy, ros-iron-rsl, ros-iron-tcb-span, ros-iron-tl-expected, ros-iron-ros-workspace
Description: CMake to generate ROS parameter library.
